<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\CountryBaseModel;

/**
 * @mixin \think\Model
 */
class CountryModel extends CountryBaseModel
{
    // 根据名称搜索
    public function searchNameAttr($query, $value)
    {
        if (is_null($value)) return;
        $query->where('name', 'like', '%' . $value . '%');
    }
}
